Modify

Opened 5 years ago

Closed 5 years ago

#10433 closed defect (fixed)

JOSM does not list opened .osm files to "Open Recent ->" menu item.

Reported by: bgirardot Owned by: team
Priority: normal Milestone: 14.08
Component: Core Version:
Keywords: Cc:

Description

I am saving .csv files as .osm files for use later, but JOSM does not seem to remember the .osm files I have opened. It does keep track of some .csv files, not all of them, but some of them, but none of the .osm files.

Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2014-07-28 22:35:35
Last Changed Author: Don-vip
Revision: 7347
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2014-07-29 00:32:15 +0200 (Tue, 29 Jul 2014)
Last Changed Rev: 7347

Identification: JOSM/1.5 (7347 en) Windows XP 32-Bit
Memory Usage: 137 MB / 989 MB (53 MB allocated, but free)
Java version: 1.7.0_67, Oracle Corporation, Java HotSpot(TM) Client VM
VM arguments: [-Xms128m, -Xmx1024m]
Dataset consistency test: No problems found

Plugin: ImportImagePlugin (30416)
Plugin: buildings_tools (30485)
Plugin: geotools (30569)
Plugin: jts (30416)
Plugin: log4j (30416)
Plugin: measurement (30416)
Plugin: mirrored_download (30495)
Plugin: opendata (30508)
Plugin: todo (29154)
Plugin: utilsplugin2 (30460)

Attachments (0)

Change History (5)

comment:1 in reply to:  description Changed 5 years ago by Don-vip

Replying to bgirardot@…:

It does keep track of some .csv files, not all of them, but some of them

That looks very strange. How do you open these .csv files? Do you open them always the same way?

comment:2 Changed 5 years ago by stoecker

@blake: This trac cannot automatically enter e-mails.

Mailtext:

Date: Wed, 27 Aug 2014 19:49:32 -0400
From: Blake Girardot
Subject: Re: [JOSM] #10433: JOSM does not list opened .osm files to "Open Recent ->" menu item.

Yes, I open them via the File Menu->Open menu items.

Then in the resulting dialog box, I change the file type to .csv and then find the file I want.

Once I have it opened, I click on it in the Layers panel and select "Save as..." and save it as an osm file.

I work with it for however long, saving as I delete nodes because I have placed them in OSM, and then close up JOSM.

Starting back up sometime I later I use the File Menu->Open dialog to find the .osm and open it.

Never is a .osm file in my Recent files, and I only have 2 .csv files in Recent files even though I have opened dozens of them.

I'll try it on a different machine and see if it works better there. This machine is still XP, I'll try it on my Win7 machine and see if behaves differently.

Cheers,
Blake

comment:3 Changed 5 years ago by anonymous

I think I have the exact place the bug happens figure out:

When I open a .osm file, I use the File Menu->Open...

In the resulting dialog, I use the pop down menu at the bottom of the dialog window "Files of type" to show only "OSM Server Files (*.osm *.xml)"

Then I find my file and open it.

Those files never show up in the Open Recent menu item.

But I just did almost the same thing, except I did not change the "Files of type" popdown, I left it "All Formats" as it defaults to, found my .osm file and now that file shows up in the Open Recent popout list.

comment:4 Changed 5 years ago by Don-vip

Milestone: 14.08

comment:5 Changed 5 years ago by Don-vip

Resolution: fixed
Status: newclosed

In 7453/josm:

fix #10433 - Files not saved to "Open Recent ->" menu if opened with a file filter

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain team.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.